commit:     326f8e2effab772da0c443f811ebbd7f06298de5
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 10 14:34:45 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Dec 10 16:44:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=326f8e2e

net-dns/unbound: bump to v1.8.2

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-dns/unbound/Manifest             |   1 +
 net-dns/unbound/unbound-1.8.2.ebuild | 181 +++++++++++++++++++++++++++++++++++
 2 files changed, 182 insertions(+)

diff --git a/net-dns/unbound/Manifest b/net-dns/unbound/Manifest
index 56367e8da8f..5d5ccbe59f8 100644
--- a/net-dns/unbound/Manifest
+++ b/net-dns/unbound/Manifest
@@ -1,2 +1,3 @@
 DIST unbound-1.8.0.tar.gz 5609213 BLAKE2B 
41e464df60e03d502f13758e75f9143658b2a496c4fad69804d9d404e23a8d4b5480cc09048197f8593e37feffdffaea33b18a06d864d0d35e986169b49f42e4
 SHA512 
6c46f5b86b5bd98a7b549b660173d487e59e65385cebd7bc29429b4fee69f2b490651a409c57b072b9b604fa98e289fa82eeecfea8779900038c25b28a6bd064
 DIST unbound-1.8.1.tar.gz 5610191 BLAKE2B 
15118f5940b4362dd515f8b335c8a39fc5ef1d3fbf0c20efbf0097342fabb4890eae0527f8b00ace181a425b413882db962b63d329f664cf12649d4d6ec8e5ea
 SHA512 
1872a980e06258d28d2bc7f69a4c56fc07e03e4c9856161e89abc28527fff5812a47ea9927fd362bca690e3a87b95046ac96c8beeccaeb8596458f140c33b217
+DIST unbound-1.8.2.tar.gz 5628920 BLAKE2B 
bf45bbde9e94ad5e8f8a825144d98faf21b1355f839b066d55c0e3588806b532f23fd69bf135161e1303c318c1f093020494e0e5ba44a65ed861864117a8e736
 SHA512 
a775c799d41ede3c2df82a5cf4d419ec1d037d84c9bb7f2f4216727afc1e3d82c991d1a1ee99baf315530c094a416004e836312ba1ee2b7b17a4a60454878cb5

diff --git a/net-dns/unbound/unbound-1.8.2.ebuild 
b/net-dns/unbound/unbound-1.8.2.ebuild
new file mode 100644
index 00000000000..930c5cadac3
--- /dev/null
+++ b/net-dns/unbound/unbound-1.8.2.ebuild
@@ -0,0 +1,181 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit autotools flag-o-matic multilib-minimal python-single-r1 systemd user
+
+MY_P=${PN}-${PV/_/}
+DESCRIPTION="A validating, recursive and caching DNS resolver"
+HOMEPAGE="https://unbound.net/ https://nlnetlabs.nl/projects/unbound/about/";
+SRC_URI="https://nlnetlabs.nl/downloads/unbound/${MY_P}.tar.gz";
+
+LICENSE="BSD GPL-2"
+SLOT="0/8" # ABI version of libunbound.so
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="debug dnscrypt dnstap +ecdsa ecs gost libressl python redis selinux 
static-libs systemd test threads"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Note: expat is needed by executable only but the Makefile is custom
+# and doesn't make it possible to easily install the library without
+# the executables. MULTILIB_USEDEP may be dropped once build system
+# is fixed.
+
+CDEPEND=">=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
+       >=dev-libs/libevent-2.0.21:0=[${MULTILIB_USEDEP}]
+       libressl? ( >=dev-libs/libressl-2.2.4:0[${MULTILIB_USEDEP}] )
+       !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+       dnscrypt? ( dev-libs/libsodium[${MULTILIB_USEDEP}] )
+       dnstap? (
+               dev-libs/fstrm[${MULTILIB_USEDEP}]
+               >=dev-libs/protobuf-c-1.0.2-r1[${MULTILIB_USEDEP}]
+       )
+       ecdsa? (
+               !libressl? ( dev-libs/openssl:0[-bindist] )
+       )
+       python? ( ${PYTHON_DEPS} )
+       redis? ( dev-libs/hiredis:= )"
+
+BDEPEND="virtual/pkgconfig"
+
+DEPEND="${CDEPEND}
+       python? ( dev-lang/swig )
+       test? (
+               net-dns/ldns-utils[examples]
+               dev-util/splint
+               app-text/wdiff
+       )
+       systemd? ( sys-apps/systemd )"
+
+RDEPEND="${CDEPEND}
+       net-dns/dnssec-root
+       selinux? ( sec-policy/selinux-bind )"
+
+# bug #347415
+RDEPEND="${RDEPEND}
+       net-dns/dnssec-root"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.7-trust-anchor-file.patch
+       "${FILESDIR}"/${PN}-1.6.3-pkg-config.patch
+)
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       enewgroup unbound
+       enewuser unbound -1 -1 /etc/unbound unbound
+       # improve security on existing installs (bug #641042)
+       # as well as new installs where unbound homedir has just been created
+       if [[ -d "${ROOT}/etc/unbound" ]]; then
+               chown --no-dereference --from=unbound root "${ROOT}/etc/unbound"
+       fi
+
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+
+       # required for the python part
+       multilib_copy_sources
+}
+
+src_configure() {
+       [[ ${CHOST} == *-darwin* ]] || append-ldflags -Wl,-z,noexecstack
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       econf \
+               $(use_enable debug) \
+               $(use_enable gost) \
+               $(use_enable dnscrypt) \
+               $(use_enable dnstap) \
+               $(use_enable ecdsa) \
+               $(use_enable ecs subnet) \
+               $(multilib_native_use_enable redis cachedb) \
+               $(use_enable static-libs static) \
+               $(use_enable systemd) \
+               $(multilib_native_use_with python pythonmodule) \
+               $(multilib_native_use_with python pyunbound) \
+               $(use_with threads pthreads) \
+               --disable-flto \
+               --disable-rpath \
+               --enable-ipsecmod \
+               --enable-tfo-client \
+               --enable-tfo-server \
+               --with-libevent="${EPREFIX%/}"/usr \
+               $(multilib_native_usex redis 
--with-libhiredis="${EPREFIX%/}/usr" --without-libhiredis) \
+               --with-pidfile="${EPREFIX%/}"/run/unbound.pid \
+               --with-rootkey-file="${EPREFIX%/}"/etc/dnssec/root-anchors.txt \
+               --with-ssl="${EPREFIX%/}"/usr \
+               --with-libexpat="${EPREFIX%/}"/usr
+
+               # 
http://unbound.nlnetlabs.nl/pipermail/unbound-users/2011-April/001801.html
+               # $(use_enable debug lock-checks) \
+               # $(use_enable debug alloc-checks) \
+               # $(use_enable debug alloc-lite) \
+               # $(use_enable debug alloc-nonregional) \
+}
+
+multilib_src_install_all() {
+       use python && python_optimize
+
+       newinitd "${FILESDIR}"/unbound-r1.initd unbound
+       newconfd "${FILESDIR}"/unbound-r1.confd unbound
+
+       systemd_dounit "${FILESDIR}"/unbound.service
+       systemd_dounit "${FILESDIR}"/unbound.socket
+       systemd_newunit "${FILESDIR}"/unbound_at.service "unbound@.service"
+       systemd_dounit "${FILESDIR}"/unbound-anchor.service
+
+       dodoc doc/{README,CREDITS,TODO,Changelog,FEATURES}
+
+       # bug #315519
+       dodoc contrib/unbound_munin_
+
+       docinto selinux
+       dodoc contrib/selinux/*
+
+       exeinto /usr/share/${PN}
+       doexe contrib/update-anchor.sh
+
+       # create space for auto-trust-anchor-file...
+       keepdir /etc/unbound/var
+       # ... and point example config to it
+       sed -i \
+               -e '/# 
auto-trust-anchor-file:/s,/etc/dnssec/root-anchors.txt,/etc/unbound/var/root-anchors.txt,'
 \
+               "${ED%/}/etc/unbound/unbound.conf" || \
+               die
+
+       # Used to store cache data
+       keepdir /var/lib/${PN}
+       fowners root:unbound /var/lib/${PN}
+       fperms 0750 /var/lib/${PN}
+
+       find "${ED}" -name '*.la' -delete || die
+       if ! use static-libs ; then
+               find "${ED}" -name "*.a" -delete || die
+       fi
+}
+
+pkg_postinst() {
+       # make var/ writable by unbound
+       if [[ -d "${EROOT%/}/etc/unbound/var" ]]; then
+               chown --no-dereference --from=root unbound: 
"${EROOT%/}/etc/unbound/var"
+       fi
+
+       einfo ""
+       einfo "If you want unbound to automatically update the root-anchor file 
for DNSSEC validation"
+       einfo "set 'auto-trust-anchor-file: 
${EROOT%/}/etc/unbound/var/root-anchors.txt' in 
${EROOT%/}/etc/unbound/unbound.conf"
+       einfo "and run"
+       einfo ""
+       einfo "  su -s /bin/sh -c '${EROOT%/}/usr/sbin/unbound-anchor -a 
${EROOT%/}/etc/unbound/var/root-anchors.txt' unbound"
+       einfo ""
+       einfo "as root to create it initially before starting unbound for the 
first time after enabling this."
+       einfo ""
+}

Reply via email to